
include windows.inc
include kernel32.inc
include user32.inc
include Comctl32.inc
include shell32.inc

includelib kernel32.lib
includelib user32.lib
includelib Comctl32.lib
includelib shell32.lib

include masm32.inc
include Debug.Inc
includelib masm32.lib
includelib Debug.lib

DlgProc			PROTO	:HWND,:UINT,:WPARAM,:LPARAM

.const

IDI_MAINICO				equ 100
IDD_DIALOG1				equ 101
IDC_STC1				equ 1001

IDD_DIALOG2				equ 102
IDC_LST1				equ 2001

IDM_FILE_START			equ 10002
IDM_FILE_END			equ 10003
IDM_FILE_EXIT			equ 10001
IDM_SOURCE_SELECT		equ 10101
IDM_SOURCE_SOURCE		equ 10102
IDM_SOURCE_VIDEOFORMAT	equ 10103
IDM_SOURCE_AUDIOFORMAT	equ 10105
IDM_SOURCE_COMP			equ 10104
IDM_HELP_ABOUT			equ 10201

;#########################################################################

;WM_CAP_START                    equ 0400h
;WM_CAP_DRIVER_CONNECT           equ (WM_CAP_START + 10)
;WM_CAP_DRIVER_DISCONNECT        equ (WM_CAP_START + 11)
;;WM_CAP_DRIVER_GET_NAME          equ (WM_CAP_START + 12)
;;WM_CAP_DRIVER_GET_VERSION       equ (WM_CAP_START + 13)
;;WM_CAP_DRIVER_GET_CAPS          equ (WM_CAP_START + 14)
;;
;;WM_CAP_FILE_SET_CAPTURE_FILE    equ (WM_CAP_START + 20)
;;WM_CAP_FILE_GET_CAPTURE_FILE    equ (WM_CAP_START + 21)
WM_CAP_FILE_SAVE_AS             equ (WM_CAP_START + 23)
;;WM_CAP_FILE_SET_INFOCHUNK       equ (WM_CAP_START + 24)
;;
;;WM_CAP_FILE_SAVE_DIB            equ (WM_CAP_START + 25)
;;WM_CAP_EDIT_COPY                equ (WM_CAP_START + 30)
;;
;;WM_CAP_SET_AUDIOFORMAT          equ (WM_CAP_START + 35)
;;WM_CAP_GET_AUDIOFORMAT          equ (WM_CAP_START + 36)
;;
;WM_CAP_DLG_VIDEOFORMAT          equ (WM_CAP_START + 41)
;WM_CAP_DLG_VIDEOSOURCE          equ (WM_CAP_START + 42)
;WM_CAP_DLG_VIDEODISPLAY         equ (WM_CAP_START + 43)
;;WM_CAP_GET_VIDEOFORMAT          equ (WM_CAP_START + 44)
;;WM_CAP_SET_VIDEOFORMAT          equ (WM_CAP_START + 45)
;WM_CAP_DLG_VIDEOCOMPRESSION     equ (WM_CAP_START + 46)
;;
;WM_CAP_SET_PREVIEW              equ (WM_CAP_START + 50)
;WM_CAP_SET_OVERLAY              equ (WM_CAP_START + 51)
;WM_CAP_SET_PREVIEWRATE          equ (WM_CAP_START + 52)
;WM_CAP_SET_SCALE                equ (WM_CAP_START + 53)
;;WM_CAP_GET_STATUS               equ (WM_CAP_START + 54)
;;WM_CAP_SET_SCROLL               equ (WM_CAP_START + 55)
;;
;;WM_CAP_SINGLE_FRAME_OPEN        equ (WM_CAP_START + 70)
;;WM_CAP_SINGLE_FRAME_CLOSE       equ (WM_CAP_START + 71)
;;WM_CAP_SINGLE_FRAME             equ (WM_CAP_START + 72)
;;
;;WM_CAP_GRAB_FRAME               equ (WM_CAP_START + 60)
;;WM_CAP_GRAB_FRAME_NOSTOP        equ (WM_CAP_START + 61)
;;
;;WM_CAP_SEQUENCE                 equ (WM_CAP_START + 62)
;;WM_CAP_SEQUENCE_NOFILE          equ (WM_CAP_START + 63)
;;WM_CAP_SET_SEQUENCE_SETUP       equ (WM_CAP_START + 64)
;;WM_CAP_GET_SEQUENCE_SETUP       equ (WM_CAP_START + 65)
;;WM_CAP_STOP                     equ (WM_CAP_START + 68)
;;WM_CAP_ABORT                    equ (WM_CAP_START + 69)
;;
;;WM_CAP_SET_CALLBACK_ERROR       equ (WM_CAP_START + 2)
;;WM_CAP_SET_CALLBACK_STATUS      equ (WM_CAP_START + 3)
;;WM_CAP_SET_CALLBACK_YIELD       equ (WM_CAP_START + 4)
;;
;;WM_CAP_SET_CALLBACK_FRAME       equ (WM_CAP_START + 5)
;;WM_CAP_SET_CALLBACK_VIDEOSTREAM equ (WM_CAP_START + 6)
;;WM_CAP_SET_CALLBACK_WAVESTREAM  equ (WM_CAP_START + 7)
;;WM_CAP_GET_USER_DATA            equ (WM_CAP_START + 8)
;;WM_CAP_SET_USER_DATA            equ (WM_CAP_START + 9)
;;
;;WM_CAP_SET_CALLBACK_CAPCONTROL  equ (WM_CAP_START + 85) ;added post VFW 1.1
;;
;;CAPSTATUS struct
;;  uiImageWidth                  DWORD ?
;;  uiImageHeight                 DWORD ?
;;  fLiveWindow                   DWORD ?
;;  fOverlayWindow                DWORD ?
;;  fScaleit                      DWORD ?
;;  point                         POINT <?>
;;  fUsingDefaultPalette          DWORD ?
;;  fAudioHardware                DWORD ?
;;  fCapFileExists                DWORD ?
;;  dwCurrentVideoFrame           DWORD ?
;;  dwCurrentVideoFramesDropped   DWORD ?
;;  dwCurrentWaveSamples          DWORD ?
;;  dwCurrentTimeElapsedMS        DWORD ?
;;  hPalCurrent                   DWORD ?
;;  fCapturingNow                 DWORD ?
;;  dwReturn                      DWORD ?
;;  wNumVideoAllocated            DWORD ?
;;  wNumAudioAllocated            DWORD ?
;;CAPSTATUS Ends
;;
;;CAPDRIVERCAPS struct
;;  wDeviceIndex                  DWORD ?
;;  fHasOverlay                   DWORD ?
;;  fHasDlgVideoSource            DWORD ?
;;  fHasDlgVideoFormat            DWORD ?
;;  fHasDlgVideoDisplay           DWORD ?
;;  fCaptureInitialized           DWORD ?
;;  fDriverSuppliesPalettes       DWORD ?
;;  hVideoIn                      DWORD ?
;;  hVideoOut                     DWORD ?
;;  hVideoExtIn                   DWORD ?
;;  hVideoExtOut                  DWORD ?
;;CAPDRIVERCAPS Ends
;;
;;CAPTUREPARAMS struct
;;  dwRequestMicroSecPerFrame     DWORD ?
;;  fMakeUserHitOKToCapture       DWORD ?
;;  wPercentDropForError          DWORD ?
;;  fYield                        DWORD ?
;;  dwIndexSize                   DWORD ?
;;  wChunkGranularity             DWORD ?
;;  fUsingDOSMemory               DWORD ?
;;  wNumVideoRequested            DWORD ?
;;  fCaptureAudio                 DWORD ?
;;  wNumAudioRequested            DWORD ?
;;  vKeyAbort                     DWORD ?
;;  fAbortLeftMouse               DWORD ?
;;  fAbortRightMouse              DWORD ?
;;  fLimitEnabled                 DWORD ?
;;  wTimeLimit                    DWORD ?
;;  fMCIControl                   DWORD ?
;;  fStepMCIDevice                DWORD ?
;;  dwMCIStartTime                DWORD ?
;;  dwMCIStopTime                 DWORD ?
;;  fStepCaptureAt2x              DWORD ?
;;  wStepCaptureAverageFrames     DWORD ?
;;CAPTUREPARAMS Ends
;
;#########################################################################

.data

AppName				db 'Avi Capture V 1.0',0
AboutMsg			db 'MASM32 RadASM Avi Capture V 1.0',13,10,'Copyright  MASM32 2001',0
libNAMEAviCap       db 'AVICAP32.DLL',0
procNAMEAviCap      db 'capCreateCaptureWindowA',0
procNAMEAviCap1     db 'capGetDriverDescriptionA',0
szMyCapture			db 'C:\MyCapture.avi',0

capDriverIndex      dd 0
capPrevRate			dd 25

.data?

hInstance			dd ?
hIco				dd ?
hLibAviCap          dd ?
hCap				dd ?
capDriverName       db 32 dup(?)
capDriverVersion    db 32 dup(?)

;#########################################################################

